Bug 1017767 - Review Request: google-crosextra-carlito-fonts - Sans-serif font metric-compatible with Calibri font
Review Request: google-crosextra-carlito-fonts - Sans-serif font metric-compa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: 1018014 1025628
  Show dependency treegraph
 
Reported: 2013-10-10 09:19 EDT by Parag Nemade
Modified: 2014-01-18 13:20 EST (History)
7 users (show)

See Also:
Fixed In Version: google-crosextra-carlito-fonts-1.103-0.1.20130920.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-27 01:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2013-10-10 09:19:43 EDT
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/caladea-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/carlito-fonts-1.103-0.1.20130920.fc20.src.rpm
Description: Carlito is metric-compatible with Calibri. Carlito comes in regular, bold, italic, and bold italic. The family covers Latin-Greek-Cyrillic (not a complete set, though) with about 2,000 glyphs. It has the same character coverage as Calibri. This font is sanserif typeface family based on Lato.


Fedora Account System Username: pnemade
Comment 1 Parag Nemade 2013-10-10 09:22:01 EDT
https://fedoraproject.org/wiki/Carlito_fonts
Comment 2 Nicolas Mailhot 2013-10-10 11:24:00 EDT
Please try to keep the package naming consistent with noto and droid
Comment 3 Parag Nemade 2013-10-10 11:32:02 EDT
you mean adding the google as a foundry name?
Comment 4 Nicolas Mailhot 2013-10-10 11:39:20 EDT
yes (unless you have a better name in mind)
Comment 5 Parag Nemade 2013-10-10 11:44:11 EDT
Thanks. I forgot to add it initially as I was unclear where actually source/ hosting of these fonts on google website (I saw only the tarball archived font files)

Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/google-carlito-fonts.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/google-carlito-fonts-1.103-0.1.20130920.fc20.src.rpm
Comment 6 Parag Nemade 2013-10-10 11:52:06 EDT
updated font information page -> https://fedoraproject.org/wiki/Google_Carlito_fonts
Comment 7 Jens Petersen 2013-10-10 21:06:48 EDT
Alternative possible naming could be google-crosextra-carlito-fonts?
It is a little longer of course.
Comment 9 Kevin Kofler 2013-10-10 22:51:16 EDT
I'd suggest rewriting the Summary to the following:
Sans-serif font metric-compatible with Calibri font
(which is more in the summary style, and "sans-serif" rather than "sanserif").
Comment 11 Parag Nemade 2013-10-11 04:34:32 EDT
$ fontaine Carlito-Regular.ttf | grep characterCount
    "characterCount":"2116",
$ fontaine calibri.ttf | grep characterCount
    "characterCount":"2161",
Comment 12 Jens Petersen 2013-10-14 23:39:37 EDT
Looks fine to me, though I didn't have a chance to test it yet.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: google-crosextra-carlito-fonts-1.103-0.1.20130920.fc21.noarch.rpm
          google-crosextra-carlito-fonts-1.103-0.1.20130920.fc21.src.rpm
google-crosextra-carlito-fonts.noarch: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
google-crosextra-carlito-fonts.src: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
google-crosextra-carlito-fonts.src: W: invalid-url Source0: http://gsdview.appspot.com/chromeos-localmirror/distfiles/crosextrafonts-carlito-20130920.tar.gz HTTP Error 405: Method Not Allowed
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint google-crosextra-carlito-fonts
google-crosextra-carlito-fonts.noarch: W: spelling-error %description -l en_US glyphs -> glyph, glyph s
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
google-crosextra-carlito-fonts (rpmlib, GLIBC filtered):
    /bin/sh
    config(google-crosextra-carlito-fonts)
    fontpackages-filesystem



Provides
--------
google-crosextra-carlito-fonts:
    config(google-crosextra-carlito-fonts)
    font(:lang=aa)
    font(:lang=ab)
    font(:lang=af)
    font(:lang=an)
    font(:lang=ast)
    font(:lang=av)
    font(:lang=ay)
    font(:lang=az-az)
    font(:lang=ba)
    font(:lang=be)
    font(:lang=ber-dz)
    font(:lang=bg)
    font(:lang=bi)
    font(:lang=bm)
    font(:lang=br)
    font(:lang=bs)
    font(:lang=bua)
    font(:lang=ca)
    font(:lang=ce)
    font(:lang=ch)
    font(:lang=chm)
    font(:lang=co)
    font(:lang=crh)
    font(:lang=cs)
    font(:lang=csb)
    font(:lang=cv)
    font(:lang=cy)
    font(:lang=da)
    font(:lang=de)
    font(:lang=el)
    font(:lang=en)
    font(:lang=eo)
    font(:lang=es)
    font(:lang=et)
    font(:lang=eu)
    font(:lang=ff)
    font(:lang=fi)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fr)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=ga)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gn)
    font(:lang=gv)
    font(:lang=ha)
    font(:lang=haw)
    font(:lang=ho)
    font(:lang=hr)
    font(:lang=hsb)
    font(:lang=ht)
    font(:lang=hu)
    font(:lang=hz)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=ig)
    font(:lang=ik)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=jv)
    font(:lang=kaa)
    font(:lang=kab)
    font(:lang=ki)
    font(:lang=kj)
    font(:lang=kk)
    font(:lang=kl)
    font(:lang=kr)
    font(:lang=ku-tr)
    font(:lang=kum)
    font(:lang=kv)
    font(:lang=kw)
    font(:lang=kwm)
    font(:lang=ky)
    font(:lang=la)
    font(:lang=lb)
    font(:lang=lez)
    font(:lang=lg)
    font(:lang=li)
    font(:lang=lt)
    font(:lang=lv)
    font(:lang=mg)
    font(:lang=mh)
    font(:lang=mi)
    font(:lang=mk)
    font(:lang=mn-mn)
    font(:lang=mo)
    font(:lang=ms)
    font(:lang=mt)
    font(:lang=na)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=nso)
    font(:lang=ny)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=os)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pl)
    font(:lang=pt)
    font(:lang=qu)
    font(:lang=quz)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=ro)
    font(:lang=ru)
    font(:lang=rw)
    font(:lang=sah)
    font(:lang=sc)
    font(:lang=sco)
    font(:lang=se)
    font(:lang=sel)
    font(:lang=sg)
    font(:lang=sh)
    font(:lang=shs)
    font(:lang=sk)
    font(:lang=sl)
    font(:lang=sm)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=smn)
    font(:lang=sms)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=sr)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tg)
    font(:lang=tk)
    font(:lang=tl)
    font(:lang=tn)
    font(:lang=to)
    font(:lang=tr)
    font(:lang=ts)
    font(:lang=tt)
    font(:lang=ty)
    font(:lang=tyv)
    font(:lang=uk)
    font(:lang=uz)
    font(:lang=ve)
    font(:lang=vo)
    font(:lang=vot)
    font(:lang=wa)
    font(:lang=wen)
    font(:lang=wo)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(carlito)
    google-crosextra-carlito-fonts



Source checksums
----------------
http://gsdview.appspot.com/chromeos-localmirror/distfiles/crosextrafonts-carlito-20130920.tar.gz :
  CHECKSUM(SHA256) this package     : 4bd12b6cbc321c1cf16da76e2c585c925ce956a08067ae6f6c64eff6ccfdaf5a
  CHECKSUM(SHA256) upstream package : 4bd12b6cbc321c1cf16da76e2c585c925ce956a08067ae6f6c64eff6ccfdaf5a


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1017767
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


Package APPROVED
Comment 13 Parag Nemade 2013-10-14 23:41:54 EDT
New Package SCM Request
=======================
Package Name: google-crosextra-carlito-fonts
Short Description: Sans-serif font metric-compatible with Calibri font
Owners: pnemade
Branches: f20 f19 
InitialCC: fonts-sig i18n-team
Comment 14 Jens Petersen 2013-10-15 01:53:15 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2013-10-15 02:27:43 EDT
google-crosextra-carlito-fonts-1.103-0.1.20130920.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/google-crosextra-carlito-fonts-1.103-0.1.20130920.fc20
Comment 16 Fedora Update System 2013-10-15 02:28:08 EDT
google-crosextra-carlito-fonts-1.103-0.1.20130920.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/google-crosextra-carlito-fonts-1.103-0.1.20130920.fc19
Comment 17 Fedora Update System 2013-10-15 09:26:20 EDT
google-crosextra-carlito-fonts-1.103-0.1.20130920.fc20 has been pushed to the Fedora 20 testing repository.
Comment 18 Fedora Update System 2013-10-27 01:36:17 EDT
google-crosextra-carlito-fonts-1.103-0.1.20130920.fc19 has been pushed to the Fedora 19 stable repository.
Comment 19 Fedora Update System 2013-11-10 02:46:53 EST
google-crosextra-carlito-fonts-1.103-0.1.20130920.fc20 has been pushed to the Fedora 20 stable repository.
Comment 20 Parag Nemade 2013-12-03 01:05:29 EST
Package Change Request
======================
Package Name: google-crosextra-carlito-fonts
New Branches: f18
Owners: pnemade
Comment 21 Gwyn Ciesla 2013-12-03 07:58:37 EST
Git done (by process-git-requests).
Comment 22 Parag Nemade 2014-01-01 22:38:50 EST
Package Change Request
======================
Package Name: google-crosextra-carlito-fonts
New Branches: el6
Owners: pnemade
Comment 23 Jens Petersen 2014-01-02 07:14:58 EST
Git done (by process-git-requests).
Comment 24 Fedora Update System 2014-01-02 09:07:35 EST
google-crosextra-carlito-fonts-1.103-0.1.20130920.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/google-crosextra-carlito-fonts-1.103-0.1.20130920.el6
Comment 25 Fedora Update System 2014-01-18 13:20:20 EST
google-crosextra-carlito-fonts-1.103-0.1.20130920.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.